3 Replies Last post: Jun 26, 2014 5:49 PM by Oleg Sukhodolsky  
Robert Birch Newbie 7 posts since
Aug 2, 2013
Currently Being Moderated

Jun 25, 2014 5:45 PM

cannot load debase_internals

I get this when trying to run the debugger.

I tried to install the debase gem but it fails.

 

Attached

  mkmf.log

  gem_make.out

 

RubyMine 6.3.3

OS X 10.9.3

 

rvm info


  system:

    uname:       "Darwin Macintosh-2.local 13.2.0 Darwin Kernel Version 13.2.0: Thu Apr 17 23:03:13 PDT 2014; root:xnu-2422.100.13~1/RELEASE_X86_64 x86_64"

    system:      "osx/10.9/x86_64"

    bash:        "/bin/bash => GNU bash, version 3.2.51(1)-release (x86_64-apple-darwin13)"

    zsh:         "/bin/zsh => zsh 5.0.2 (x86_64-apple-darwin13.0)"


  rvm:

    version:      "rvm 1.25.27 (stable) by Wayne E. Seguin <wayneeseguin@gmail.com>, Michal Papis <mpapis@gmail.com> [https://rvm.io/]"

    updated:      "9 days 19 hours 40 minutes 24 seconds ago"

    path:         "/Users/rbirch/.rvm"


  ruby:

    interpreter:  "ruby"

    version:      "2.1.2p95"

    date:         "2014-05-08"

    platform:     "x86_64-darwin13.0"

    patchlevel:   "2014-05-08 revision 45877"

    full_version: "ruby 2.1.2p95 (2014-05-08 revision 45877) [x86_64-darwin13.0]"


  homes:

    gem:          "/Users/rbirch/.rvm/gems/ruby-2.1.2@snoopit"

    ruby:         "/Users/rbirch/.rvm/rubies/ruby-2.1.2"


  binaries:

    ruby:         "/Users/rbirch/.rvm/rubies/ruby-2.1.2/bin/ruby"

    irb:          "/Users/rbirch/.rvm/rubies/ruby-2.1.2/bin/irb"

    gem:          "/Users/rbirch/.rvm/rubies/ruby-2.1.2/bin/gem"

    rake:         "/Users/rbirch/.rvm/rubies/ruby-2.1.2/bin/rake"


  environment:

    PATH:         "/Users/rbirch/.rvm/gems/ruby-2.1.2@snoopit/bin:/Users/rbirch/.rvm/gems/ruby-2.1.2@global/bin:/Users/rbirch/.rvm/rubies/ruby-2.1.2/bin:/Users/rbirch/.rvm/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/Users/rbirch/bin:/usr/local/share/npm/bin"

    GEM_HOME:     "/Users/rbirch/.rvm/gems/ruby-2.1.2@snoopit"

    GEM_PATH:     "/Users/rbirch/.rvm/gems/ruby-2.1.2@snoopit:/Users/rbirch/.rvm/gems/ruby-2.1.2@global"

    MY_RUBY_HOME: "/Users/rbirch/.rvm/rubies/ruby-2.1.2"

    IRBRC:        "/Users/rbirch/.rvm/rubies/ruby-2.1.2/.irbrc"

    RUBYOPT:      ""


    gemset:       "snoopit"

Attachments:
Oleg Sukhodolsky JetBrains 871 posts since
Apr 4, 2012
Currently Being Moderated
Jun 26, 2014 12:52 PM in response to: Robert Birch
Re: cannot load debase_internals

I've tried to install debase on my Mac with rvm and everything works

I suspect it may cause by some incompatibility of compilers (e.g. you have a newer version of compiler comparing to one which was used to install the ruby sdk).

I'd try to update brew/xcode and reinstall ruby with a newer version.

It is not a perfect way but I have feeling that native extentions for ruby are rather fragile

 

Hope this helps, Oleg.

Oleg Sukhodolsky JetBrains 871 posts since
Apr 4, 2012
Currently Being Moderated
Jun 26, 2014 5:49 PM in response to: Robert Birch
Re: cannot load debase_internals

I'm glad you have resolved the problem.  You are not the first person who has such problem, I think this is a common problem for any ruby native extension

 

Regards, Oleg.

More Like This

  • Retrieving data ...